Subject: Re: [PATCH v2] perl: also mark git-contacts executable

From: Junio C Hamano <[email-masked]>
Date: Tue, 11 Nov 2025 10:59:01 -0800

"D. Ben Knoble" <[email-masked]> writes:

> When installing git-contacts with Meson via -Dcontrib=contacts, the
> default Perl generation fails to mark it executable. As a result, "git
> contacts" reports "'contacts' is not a git command."
>
> Unlike generate-script.sh, we aren't testing the basename here; so, glob
> the script name in the case arm to match wherever the input comes from.
>
> Signed-off-by: D. Ben Knoble <[email-masked]>
> ---
>
> A small typo fix for the commit message, thanks to Patrick.
>
> v1: https://lore.kernel.org/git/7fbb341e8[email-masked]/

Together with the html one, these patches match what I have already
queued with local tweaks, so I won't replace them (they are in
'next' now).

Thanks.